#include <iostream>
#include <math.h>
#include <string>

using namespace std;

int main()
{
    string xx, yy;
    int niz[20], nizBr = 0;
    cin >> xx >> yy;
    int xBr = xx.length();
    int yBr = yy.length();

    while (xBr > 0 && yBr > 0) {
        char br1 = xx.at(xBr - 1);
        int cifra1 = br1 - '0';
        char br2 = yy.at(yBr - 1);
        int cifra2 = br2 - '0';

        if (cifra1 > cifra2) {
            niz[nizBr] = cifra1;
        }
        else if (cifra2 > cifra1) {
            niz[nizBr] = cifra2;
        }
        else {
            niz[nizBr + 1] = cifra1;
            niz[nizBr] = cifra1;
            nizBr++;
        }

        nizBr++;
        xBr--;
        yBr--;
    }

    if (xBr == 0) {
        while (yBr > 0) {
            char br2 = yy.at(yBr - 1);
            int cifra2 = br2 - '0';
            niz[nizBr] = cifra2;
            nizBr++;
            yBr--;
        }
    }

    if (yBr == 0) {
        while (xBr > 0) {
            char br1 = xx.at(xBr - 1);
            int cifra1 = br1 - '0';
            niz[nizBr] = cifra1;
            nizBr++;
            xBr--;
        }
    }

    string br = "";
    for (int i = nizBr - 1; i >= 0; i--) {
        br = br + to_string(niz[i]);
    }

    cout << br;
    return 0;
}